Eclipse Platform Release 3.7

## org.eclipse.update.search
Class UpdateSearchScope

    java.lang.Object
      org.eclipse.update.search.UpdateSearchScope

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class UpdateSearchScope

extends Object

This class encapsulates update scope of the update search. Sites that need to be visited should be added to the scope. If some categories should be skipped, their names must be passed as array of strings to the method.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0
See Also:
  `UpdateSearchRequest`

Constructor Summary
`UpdateSearchScope()` Deprecated. The default constructor.

Method Summary
`void` `addSearchSite(String label, URL siteURL, String[] categoriesToSkip)` Deprecated. Adds the site to scan to the search scope.
`IUpdateSearchSite[]` `getSearchSites()` Deprecated. Returns the sites that should be visited during the search.
`URL` `getUpdateMapURL()` Deprecated. Returns the optional URL of the update map file.
`boolean` `isFeatureProvidedSitesEnabled()` Deprecated. In addition to the sites added by addSearchSite(), features contribute their own update url's.
`void` `setFeatureProvidedSitesEnabled(boolean enable)` Deprecated. Enable or disable searching of feature provided update sites.
`void` `setUpdateMapURL(URL url)` Deprecated. Sets the optional URL of the update map file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateSearchScope

    public UpdateSearchScope()

  Deprecated.
  The default constructor.

Method Detail

### setUpdateMapURL

    public void setUpdateMapURL(URL url)

  Deprecated.
  Sets the optional URL of the update map file. This file is used to redirect search for new updates to other servers and is typically used when a local update site proxy (possibly behind the firewall) is set up.

  Parameters:
    `url` - the url of the Java properties file that contains the redirection information.

### getUpdateMapURL

    public URL getUpdateMapURL()

  Deprecated.
  Returns the optional URL of the update map file. By default, no map file is set.

  Returns:
    the URL of the map file or `null` if not set.

### addSearchSite

    public void addSearchSite(String label,
                              URL siteURL,
                              String[] categoriesToSkip)

  Deprecated.
  Adds the site to scan to the search scope.

  Parameters:
    `label` - the presentation name of the site to visit.
    `siteURL` - the URL of the site to visit.
    `categoriesToSkip` - an array of category names that should be skipped or `null` if all features should be considered.

### getSearchSites

    public IUpdateSearchSite[] getSearchSites()

  Deprecated.
  Returns the sites that should be visited during the search.

  Returns:
    an array of site adapters

### isFeatureProvidedSitesEnabled

    public boolean isFeatureProvidedSitesEnabled()

  Deprecated.
  In addition to the sites added by addSearchSite(), features contribute their own update url's. This method returns true if those sites are also searched.

  Returns:
    true if update site provided by features are also searched. Default is true.

### setFeatureProvidedSitesEnabled

    public void setFeatureProvidedSitesEnabled(boolean enable)

  Deprecated.
  Enable or disable searching of feature provided update sites. If disabled, only sites added by addSearchSite() are searched.

  Parameters:
    `enable` - false to disable searching of feature provided sites. By default, these sites are searched.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.